Subject: [Mipshop] Comments on draft-ietf-mipshop-mos-dhcp-options-00

From: "Vijay Devarapalli" <[email-masked]>
Date: Fri, 9 May 2008 17:54:21 -0400

Hi Gabor, Subir,

I wonder if it would make sense to define a sub-type field in 
the DHCPv4 options?  This field would indicate whether the 
FQDN/IP address is of an IS, ES or CS server. The document 
currently asks for three DHCPv4 options to be assigned for MoS 
discovery. I checked the IANA page on DHCPv4 options, there 
aren't too many values left to be assigned.

A few other minor comments.

>    Clients MUST support compression according to the encoding in 
>    Section 4.1.4 of "Domain Names - Implementation And Specification" 
>    [RFC1035]. 

Do we have to mandate compression in this document, if it is 
not already turned on by default? If yes, why?

>             MoS type 
>     
>                The type of MoS services the server supports. Valid 
>                values: 
>                     1    IS service 
>                     2    ES service 
>                     3    both IS and ES services 
>                     4    CS service 
>                     5    IS and CS services 
>                     6    ES and CS services 
>                     7    IS, ES and CS services 

You might want to add a note here saying that all other 
values are reserved and must be ignored. 

>    Acknowledgements to the design team members for their comments. 

Which design team? :)

Vijay
_______________________________________________
Mipshop mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mipshop